<?php

namespace Drupal\qtools_common;

use Drupal\qtools_common\Utility\QToolsConfigurableServiceInterface;

class QToolsConfigurableServicesCollector {

  protected $configDefaults = [];

  public function __construct() {

  }

  public function addHandler(QToolsConfigurableServiceInterface $service) {
    $this->configDefaults[$service->getConfigTraitBundle()] = $service->getConfigTraitDefaults();
//    print($service->getConfigTraitBundle()); die;
  }

  public function getDefaultConfigurations() {
    return $this->configDefaults;
  }
}
