<?php

namespace Drupal\qtools_common\Twig;

/**
 * Dpm passed variable.
 */
class QDpmExtension extends \Twig_Extension {

  /**
   * {@inheritdoc}
   */
  public function getName() {
    return 'qdpm';
  }

  /**
   * {@inheritdoc}
   */
  public function getFunctions() {
    return [
      new \Twig_SimpleFunction('qdpm', [$this, 'qDpmFunction'], [
        'is_safe' => ['html'],
      ]),
    ];
  }

  /**
   * Dumps variable.
   */
  public function qDpmFunction($data, $title = NULL) {
    $printer = 'dpm';

    if (!function_exists($printer)) {
      return;
    }

    if ($title !== NULL) {
      $printer($data, $title);
    }
    else {
      $printer($data);
    }

  }

}
